//+------------------------------------------------------------------+
//|                                                MTF_RSI_D1_H1.mq4 |
//|                   Copyright 2005-2014, MetaQuotes Software Corp. |
//|                                              http://www.mql4.com |
//+------------------------------------------------------------------+

#property indicator_separate_window

#property indicator_buffers 2

#property indicator_color1 Yellow
#property indicator_color2 DodgerBlue
#property indicator_level1     30.0
#property indicator_level2     50.0
#property indicator_level3     70.0


extern int TimeFrame  =0;
extern int TimeFrame1 =0;
extern int CountBars  =500;
extern int x_prd      =0;
//---- buffers
double Multi_Indic[];
double Multi_Indic1[];

string short_name;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init() {

//---- name for DataWindow and indicator subwindow label 
    short_name = "MTF_RSI_D1_H1("+TimeFrame+")";
    IndicatorShortName(short_name);
    IndicatorBuffers(2);
    SetIndexBuffer(0,Multi_Indic);   
    SetIndexStyle(0,DRAW_LINE,0,1);
    SetIndexBuffer(1,Multi_Indic1);
    SetIndexStyle(1,DRAW_LINE,0,1);
   
//----
   return (0);
}
int deinit() {
   return (0);
}
//+------------------------------------------------------------------+
//| Skid                                                           |
//+------------------------------------------------------------------+
int start()
  {
   if (CountBars>=Bars) CountBars=Bars;
   SetIndexDrawBegin(0,Bars-CountBars);
   SetIndexDrawBegin(1,Bars-CountBars);

   int i, ii,counted_bars=IndicatorCounted();

   double t_prd;
//----
   if(Bars<=x_prd) return(0);
//---- initial zero
   if(counted_bars<x_prd)
   {
      for(i=1;i<=x_prd;i++) Multi_Indic[CountBars-i]=0.0;
      for(ii=1;ii<=x_prd;ii++) Multi_Indic1[CountBars-ii]=0.0;
     
   }
//----
   i=CountBars-x_prd-1;
   ii=CountBars-x_prd-1;

   t_prd=x_prd/2+1;

   while(i>=0)
   while(ii>=0)
  
     {
     Multi_Indic[i]=((iCustom(NULL, 0, "RSI_H1", 0, i))) ; 
     Multi_Indic1[ii]=((iCustom(NULL, PERIOD_D1, "RSI_D1", 0,  ii)  )) ;     

      i--;
      ii--;
     
     }
     
   return(0);
  }
  
//+------------------------------------------------------------------+  